- has_impersonation_link = header_link?(:admin_impersonation)

%header.navbar.navbar-gitlab.navbar-expand-sm.js-navbar{ data: { qa_selector: 'navbar' } }
  %a.sr-only.gl-accessibility{ href: "#content-body", tabindex: "1" } Skip to content
  .container-fluid
    .header-content
      .title-container
        %h1.title
          = link_to root_path, title: _('Dashboard'), id: 'logo' do
            = brand_header_logo
            - logo_text = brand_header_logo_type
            - if logo_text.present?
              %span.logo-text.d-none.d-lg-block.gl-ml-3
                = logo_text
          - if Gitlab.com_and_canary?
            = link_to 'https://next.gitlab.com', class: 'label-link canary-badge bg-transparent', target: :_blank do
              %span.color-label.has-tooltip.badge.badge-pill.green-badge
                = _('Next')

        - if current_user
          = render "layouts/nav/dashboard"
        - else
          = render "layouts/nav/explore"

      .navbar-collapse.collapse
        %ul.nav.navbar-nav
          - if current_user
            = render 'layouts/header/new_dropdown'
          - if header_link?(:search)
            %li.nav-item.d-none.d-lg-block.m-auto
              = render 'layouts/search' unless current_controller?(:search)
            %li.nav-item.d-inline-block.d-lg-none
              = link_to search_context.search_url, title: _('Search'), aria: { label: _('Search') }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = sprite_icon('search', size: 16)
          - if header_link?(:issues)
            = nav_link(path: 'dashboard#issues', html_options: { class: "user-counter" }) do
              = link_to assigned_issues_dashboard_path, title: _('Issues'), class: 'dashboard-shortcuts-issues', aria: { label: _('Issues') }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = sprite_icon('issues', size: 16)
                - issues_count = assigned_issuables_count(:issues)
                %span.badge.badge-pill.issues-count.green-badge{ class: ('hidden' if issues_count.zero?) }
                  = number_with_delimiter(issues_count)
          - if header_link?(:merge_requests)
            = nav_link(path: 'dashboard#merge_requests', html_options: { class: "user-counter" }) do
              = link_to assigned_mrs_dashboard_path, title: _('Merge requests'), class: 'dashboard-shortcuts-merge_requests', aria: { label: _('Merge requests') }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = sprite_icon('git-merge', size: 16)
                - merge_requests_count = assigned_issuables_count(:merge_requests)
                %span.badge.badge-pill.merge-requests-count{ class: ('hidden' if merge_requests_count.zero?) }
                  = number_with_delimiter(merge_requests_count)
          - if header_link?(:todos)
            = nav_link(controller: 'dashboard/todos', html_options: { class: "user-counter" }) do
              = link_to dashboard_todos_path, title: _('To-Do List'), aria: { label: _('To-Do List') }, class: 'shortcuts-todos', data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = sprite_icon('todo-done', size: 16)
                %span.badge.badge-pill.todos-count{ class: ('hidden' if todos_pending_count.zero?) }
                  = todos_count_format(todos_pending_count)
          %li.nav-item.header-help.dropdown.d-none.d-md-block
            = link_to help_path, class: 'header-help-dropdown-toggle', data: { toggle: "dropdown" } do
              = sprite_icon('question', size: 16)
              = sprite_icon('angle-down', css_class: 'caret-down')
            .dropdown-menu.dropdown-menu-right
              = render 'layouts/header/help_dropdown'
          - if header_link?(:user_dropdown)
            %li.nav-item.header-user.js-nav-user-dropdown.dropdown{ data: { track_label: "profile_dropdown", track_event: "click_dropdown", track_value: "", qa_selector: 'user_menu' }, class: ('mr-0' if has_impersonation_link) }
              = link_to current_user, class: user_dropdown_class, data: { toggle: "dropdown" } do
                = image_tag avatar_icon_for_user(current_user, 23), width: 23, height: 23, class: "header-user-avatar qa-user-avatar"
                = render_if_exists 'layouts/header/user_notification_dot', project: project, namespace: group
                = sprite_icon('angle-down', css_class: 'caret-down')
              .dropdown-menu.dropdown-menu-right
                = render 'layouts/header/current_user_dropdown'
          - if has_impersonation_link
            %li.nav-item.impersonation.ml-0
              = link_to admin_impersonation_path, class: 'nav-link impersonation-btn', method: :delete, title: _('Stop impersonation'), aria: { label: _('Stop impersonation') }, data: { toggle: 'tooltip', placement: 'bottom', container: 'body', qa_selector: 'stop_impersonation_link' } do
                = icon('user-secret')
          - if header_link?(:sign_in)
            %li.nav-item
              %div
                - sign_in_text = allow_signup? ? _('Sign in / Register') : _('Sign in')
                = link_to sign_in_text, new_session_path(:user, redirect_to_referer: 'yes'), class: 'btn btn-sign-in'

      %button.navbar-toggler.d-block.d-sm-none{ type: 'button' }
        %span.sr-only= _('Toggle navigation')
        = sprite_icon('ellipsis_h', size: 12, css_class: 'more-icon js-navbar-toggle-right')
        = sprite_icon('close', size: 12, css_class: 'close-icon js-navbar-toggle-left')

- if can?(current_user, :update_user_status, current_user)
  .js-set-status-modal-wrapper{ data: { current_emoji: current_user.status.present? ? current_user.status.emoji : '', current_message: current_user.status.present? ? current_user.status.message : '' } }
